#include "Radio.h"

void Radio::init(byte nodeId)
{
    rf12_initialize(nodeId, RF_freq, networkGroup);
    delay(100);
  //  RF69::control(0x11 | 0x80, 0x5F);
  //  RF69::control(0x13 | 0x80, 0x0F);
#ifdef DEBUG
    Serial.print("Radio initialized, network: ");Serial.print(networkGroup);
    Serial.print(", nodeId: ");Serial.println(nodeId);
#endif
}

void Radio::send(const void *payload, uint8_t len)
{
    rf12_sendNow(0u, payload, len);
    rf12_sendWait(0);
}
